Page MenuHomePhabricator

[Research] Investigate regression Save Timing as of 2015-09-10
Closed, ResolvedPublic

Description

Around 10 September our Save Timing went up by about 100-150ms and it hasn't come back down much since.

https://grafana.wikimedia.org/#/dashboard/db/save-timing

The graph shows it coming down gradually over the course of several weeks (as a result of @aaron's work), but then went back up.

Event Timeline

Krinkle created this task.Oct 1 2015, 4:57 AM
Krinkle raised the priority of this task from to Needs Triage.
Krinkle updated the task description. (Show Details)
Krinkle added subscribers: Krinkle, ori, aaron.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 1 2015, 4:57 AM
Krinkle triaged this task as Medium priority.Oct 5 2015, 6:20 PM
Krinkle set Security to None.
Krinkle updated the task description. (Show Details)Oct 8 2015, 7:46 PM
Krinkle updated the task description. (Show Details)Oct 8 2015, 8:19 PM
Krinkle raised the priority of this task from Medium to High.Oct 20 2015, 1:09 AM
aaron closed this task as Resolved.Oct 26 2015, 6:36 PM
aaron claimed this task.

The hook error handling change may have fixed the cause, or at least negated the performance loss.

Because xenon does not go back this far, it would be pretty hard to be sure what code caused this. In any case, more edit save performance tweaks will keep happening.

Krinkle updated the task description. (Show Details)Jan 26 2019, 3:17 AM